<!-- Row -->
<div class="row">
    <!-- Column -->
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="name">Nome</label>
                            <input #nameField [ngClass]="{'is-invalid': errors.table_name}"
                                   [(ngModel)]="table.table_name" type="text"
                                   class="form-control" id="name" placeholder="Nome da Tabela">
                            <div *ngIf="errors.table_name" class="invalid-feedback">
                                {{ errors.table_name }}
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="table_description">Descrição da Tabela</label>
                            <input [ngClass]="{'is-invalid': errors.table_description}"
                                   [(ngModel)]="table.table_description" type="text" class="form-control"
                                   id="table_description"
                                   placeholder="Descrição da Tabela">

                            <div *ngIf="errors.table_description" class="invalid-feedback">
                                {{ errors.table_description }}
                            </div>
                        </div>
                    </div>
                </div>

                <h4>Campos da tabela</h4>
                <hr/>

                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Nome do Campo</th>
                        <th>Descrição</th>
                        <th>Tipo do dado</th>
                        <th>Tamanho</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr *ngFor="let field of table.table_fields">
                        <td>
                            <input [(ngModel)]="field.field_name" type="text" class="form-control"/>
                        </td>
                        <td>
                            <input [(ngModel)]="field.field_description" type="text" class="form-control"/>
                        </td>
                        <td>
                            <select class="form-control" [(ngModel)]="field.field_type">
                                <option *ngFor="let t of _fieldTypes" [value]="t.id">{{ t.name }}</option>
                            </select>
                        </td>
                        <td>
                            <input [disabled]="field.field_type != 1" [(ngModel)]="field.field_size" type="number" class="form-control"/>
                        </td>
                    </tr>
                    </tbody>
                </table>

                <hr/>

                <div class="row">
                    <div class="col-3 offset-3">
                        <button (click)="addColumn()" class="btn btn-block btn-dark-info">
                            <i class="fa fa-plus"></i>
                            Adicionar Coluna
                        </button>
                    </div>
                    <div class="col-3">
                        <button (click)="cancel()" class="btn btn-block btn-danger">
                            <i class="fa fa-history"></i>
                            Cancelar
                        </button>
                    </div>
                    <div class="col-3">
                        <button (click)="save()" class="btn btn-block btn-dark-success">
                            <i class="fa fa-save"></i>
                            Salvar
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Row -->
